Bug 16083 - Accept CLI params for the Makefile.pl
Summary: Accept CLI params for the Makefile.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All Linux
: P5 - low enhancement (vote)
Assignee: Alex Sassmannshausen
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-16 16:59 UTC by Alex Sassmannshausen
Modified: 2017-01-15 18:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Patch implementing features raised here. (6.40 KB, patch)
2016-03-16 17:05 UTC, Alex Sassmannshausen
Details | Diff | Splinter Review
Bug 16083 Allow cli overrides for makefile settings. (7.19 KB, patch)
2016-10-13 13:22 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 16083 Allow cli overrides for makefile settings. (7.46 KB, patch)
2017-01-02 11:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16083: [QA FOLLOWUP] Add more cli arguments. (10.17 KB, patch)
2017-01-05 16:16 UTC, Alex Sassmannshausen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Sassmannshausen 2016-03-16 16:59:46 UTC
Currently the Makefile.pl script only accepts the '--prev-install-log' commandline flag for reading Koha configuration values from the previous installation.

The Makefile does not have help output.

The aim of this bug report is to add 2 things:
- --help output
- commandline parameters that should allow automating many of the common settings if desired
- when commandline parameters are not passed we simply fall back to the interactive method of old
Comment 1 Alex Sassmannshausen 2016-03-16 17:05:01 UTC
Created attachment 49235 [details] [review]
Patch implementing features raised here.

Test Plan:

- Run the Makefile without parameters — the script should work as before.
- Run the script with the '-h' flag — it should output help.
- Run the script with any number of additional legal flags — the script should skip those questions in its interactive mode.
Comment 2 M. Tompsett 2016-03-23 21:19:29 UTC
What about the SRU Biblio and Authority port numbers?
Comment 3 Nicolas Legrand 2016-10-13 13:22:34 UTC
Created attachment 56396 [details] [review]
Bug 16083 Allow cli overrides for makefile settings.

Currently the Makefile.pl script only accepts the '--prev-install-log' commandline flag for reading Koha configuration values from the previous installation.

The Makefile does not have help output.

The aim of this bug report is to add 2 things:
- --help output
- commandline parameters that should allow automating many of the common settings if desired
- when commandline parameters are not passed we simply fall back to the interactive method of old

Test Plan:

- Run the Makefile without parameters — the script should work as before.
- Run the script with the '-h' flag — it should output help.
- Run the script with any number of additional legal flags — the script should skip those questions in its interactive mode.

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>
Reworked the log message with Bugzilla comments.
Comment 4 Jonathan Druart 2017-01-02 11:30:51 UTC
Created attachment 58555 [details] [review]
Bug 16083 Allow cli overrides for makefile settings.

Currently the Makefile.pl script only accepts the '--prev-install-log' commandline flag for reading Koha configuration values from the previous installation.

The Makefile does not have help output.

The aim of this bug report is to add 2 things:
- --help output
- commandline parameters that should allow automating many of the common settings if desired
- when commandline parameters are not passed we simply fall back to the interactive method of old

Test Plan:

- Run the Makefile without parameters — the script should work as before.
- Run the script with the '-h' flag — it should output help.
- Run the script with any number of additional legal flags — the script should skip those questions in its interactive mode.

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>
Reworked the log message with Bugzilla comments.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Amended patch: perltidy GetOptions block
Comment 5 M. Tompsett 2017-01-02 16:07:53 UTC
(In reply to M. Tompsett from comment #2)
> What about the SRU Biblio and Authority port numbers?

This question was never dealt with.
Comment 6 Alex Sassmannshausen 2017-01-05 16:16:38 UTC
Created attachment 58612 [details] [review]
Bug 16083: [QA FOLLOWUP] Add more cli arguments.

* Makefile.PL: Add `zebra_sru_host`, `zebra_sru_biblios_port` &
  `zebra_sru_authorities_port` as possible command line arguments.
Comment 7 Alex Sassmannshausen 2017-01-05 16:17:41 UTC
(In reply to M. Tompsett from comment #5)
> (In reply to M. Tompsett from comment #2)
> > What about the SRU Biblio and Authority port numbers?
> 
> This question was never dealt with.

My latest patch adds SRU Biblio and Authority port numbers as well as SRU Host commandline arguments.

Alex
Comment 8 M. Tompsett 2017-01-05 17:21:31 UTC
(In reply to Alex Sassmannshausen from comment #7)
> My latest patch adds SRU Biblio and Authority port numbers as well as SRU
> Host commandline arguments.

Thanks that looks great. I'm happy to leave this at Passed QA now. :)
Comment 9 Kyle M Hall 2017-01-13 11:48:01 UTC
Pushed to master for 17.05, thanks Alex!
Comment 10 Katrin Fischer 2017-01-15 18:11:28 UTC
This won't get ported back to 16.11.x as it is an enhancement.